import os
from logging import getLogger
import sys
from emodpy.utils import bamboo_api_login, download_latest_bamboo, download_latest_schema
from emod_api.schema import get_schema as gs

user_logger = getLogger('user')


def get_model_files(plan, manifest):
    bamboo_api_login()
    eradication_path_bamboo = download_latest_bamboo(plan=plan, scheduled_builds_only=False)
    try:
        os.replace(eradication_path_bamboo, manifest.eradication_path)
    except Exception:
        user_logger.error(f"Failed to move downloaded Eradication to {manifest.eradication_path}. Do you need to create folder?")
        sys.exit()
    # if not on same platform as binary get schema from remote.
    if os.name == "posix":  # very much hardcoding SLURM target
        gs.dtk_to_schema(manifest.eradication_path, path_to_write_schema=manifest.schema_file)
    else:
        download_latest_schema(plan=plan, scheduled_builds_only=False, out_path=manifest.schema_file)
